Subject: Re: [PATCH 0/6] ARM, arm64: Remove arm_pm_restart()

From: Thierry Reding <[email-masked]>
Date: Mon, 16 Sep 2019 15:49:20 +0200

On Mon, Sep 16, 2019 at 06:17:01AM -0700, Guenter Roeck wrote:
> On 9/16/19 12:49 AM, Arnd Bergmann wrote:
> > On Sat, Sep 14, 2019 at 5:26 PM Guenter Roeck <[email-masked]> wrote:
> > > On Mon, Jan 30, 2017 at 12:05:06PM +0100, Thierry Reding wrote:
> > > > From: Thierry Reding <[email-masked]>
> > > > 
> > > > Hi everyone,
> > > > 
> > > > This small series is preparatory work for a series that I'm working on
> > > > which attempts to establish a formal framework for system restart and
> > > > power off.
> > > > 
> > > > Guenter has done a lot of good work in this area, but it never got
> > > > merged. I think this set is a valuable addition to the kernel because
> > > > it converts all odd providers to the established mechanism for restart.
> > > > 
> > > > Since this is stretched across both 32-bit and 64-bit ARM, as well as
> > > > PSCI, and given the SoC/board level of functionality, I think it might
> > > > make sense to take this through the ARM SoC tree in order to simplify
> > > > the interdependencies. But it should also be possible to take patches
> > > > 1-4 via their respective trees this cycle and patches 5-6 through the
> > > > ARM and arm64 trees for the next cycle, if that's preferred.
> > > > 
> > > 
> > > We tried this twice now, and it seems to go nowhere. What does it take
> > > to get it applied ?
> > 
> > Can you send a pull request to [email-masked] after the merge window,
> > with everyone else on Cc? If nobody objects, I'll merge it through
> > the soc tree.
> > 
> 
> Sure, I'll rebase and do that.

I've uploaded a rebased tree here:

	https://github.com/thierryreding/linux/tree/for-5.5/system-power-reset

The first 6 patches in that tree correspond to this series. There were a
couple of conflicts I had to resolve and I haven't fully tested the
series yet, but if you haven't done any of the rebasing, the above may
be useful to you.

Thierry
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel